Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.tools
Class WeavingAdaptor.WeavingAdaptorMessageHandler

    java.lang.Object
      org.aspectj.weaver.tools.WeavingAdaptor.WeavingAdaptorMessageHandler

All Implemented Interfaces:
  org.aspectj.bridge.IMessageHandler

Enclosing class:
  WeavingAdaptor

    protected class WeavingAdaptor.WeavingAdaptorMessageHandler

extends java.lang.Object
implements org.aspectj.bridge.IMessageHandler

Processes messages arising from weaver operations. Tell weaver to abort on any message more severe than warning.

Field Summary
`protected boolean` | `traceMessages`

Fields inherited from interface org.aspectj.bridge.IMessageHandler
`SYSTEM_ERR, SYSTEM_OUT, THROW`

Constructor Summary
`WeavingAdaptor.WeavingAdaptorMessageHandler(java.io.PrintWriter writer)`

Method Summary
`void` | `dontIgnore(org.aspectj.bridge.IMessage.Kind kind)`
`void` | `flushMessages()`
`boolean` | `handleMessage(org.aspectj.bridge.IMessage message)`
`void` | `ignore(org.aspectj.bridge.IMessage.Kind kind)`
`boolean` | `isIgnoring(org.aspectj.bridge.IMessage.Kind kind)`
`protected java.lang.String` | `render(org.aspectj.bridge.IMessage message)`
`void` | `setDelegate(org.aspectj.bridge.IMessageHandler messageHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### traceMessages

    protected boolean traceMessages

Constructor Detail

### WeavingAdaptor.WeavingAdaptorMessageHandler

    public WeavingAdaptor.WeavingAdaptorMessageHandler(java.io.PrintWriter writer)

Method Detail

### handleMessage

    public boolean handleMessage(org.aspectj.bridge.IMessage message)
                          throws org.aspectj.bridge.AbortException

  Specified by:
    `handleMessage` in interface `org.aspectj.bridge.IMessageHandler`
  Throws:
    `org.aspectj.bridge.AbortException`

### render

    protected java.lang.String render(org.aspectj.bridge.IMessage message)

### isIgnoring

    public boolean isIgnoring(org.aspectj.bridge.IMessage.Kind kind)

  Specified by:
    `isIgnoring` in interface `org.aspectj.bridge.IMessageHandler`

### dontIgnore

    public void dontIgnore(org.aspectj.bridge.IMessage.Kind kind)

  Specified by:
    `dontIgnore` in interface `org.aspectj.bridge.IMessageHandler`

### ignore

    public void ignore(org.aspectj.bridge.IMessage.Kind kind)

  Specified by:
    `ignore` in interface `org.aspectj.bridge.IMessageHandler`

### flushMessages

    public void flushMessages()

### setDelegate

    public void setDelegate(org.aspectj.bridge.IMessageHandler messageHandler)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD